Path: API › 网站管理

`POST /site`

关闭指定网站的 SSL 证书，之后网站将仅通过 HTTP 访问。

## Request body

_Required._

- `action233.request_time` (string, required) — Unix 时间戳。
- `action233.request_token` (string, required) — 按 API 概览生成的签名。
- `action233.action` (string, required) — 具体操作名称。
  - one of `"CloseSSLConf"`
- `action233.siteName` (string, required) — 网站域名
- `action233.updateOf` (string, required) — 更新范围，固定 `1`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "CloseSSLConf",
  "siteName": "string",
  "updateOf": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/site" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=CloseSSLConf" \
  --data-urlencode "siteName=<siteName>" \
  --data-urlencode "updateOf=<updateOf>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "status": true,
  "msg": "SSL已关闭!"
}
```

- `action233.response.default.status` (boolean, optional) — `true` 表示关闭成功
- `action233.response.default.msg` (string, optional) — `SSL已关闭!`


## CloseSSLConf

关闭指定网站的 SSL 证书，之后网站将仅通过 HTTP 访问。

- **路由**：`POST /site`
- **action**：`CloseSSLConf`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `CloseSSLConf` |
| siteName | 是 | String | 网站域名 |
| updateOf | 是 | String | 更新范围，固定 `1` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| status | Boolean | `true` 表示关闭成功 |
| msg | String | `SSL已关闭!` |

## 示例

```
POST /site HTTP/1.1
Content-Type: application/x-www-form-urlencoded

action=CloseSSLConf&siteName=testapi.bt.local&updateOf=1
```

```json
{"status": true, "msg": "SSL已关闭!"}
```

